QXmpp: QXmppGeolocItem Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppGeolocItem Class Reference
Inheritance diagram for QXmppGeolocItem:

## Public Member Functions
| QXmppGeolocItem ()
| QXmppGeolocItem (const QXmppGeolocItem &other)
| Copy-constructor.
| QXmppGeolocItem (QXmppGeolocItem &&)
| Move-constructor.
QXmppGeolocItem & | operator= (const QXmppGeolocItem &other)
| Assignment operator.
QXmppGeolocItem & | operator= (QXmppGeolocItem &&)
| Move-assignment operator.
std::optional< double > | accuracy () const
void | setAccuracy (std::optional< double > accuracy)
QString | country () const
void | setCountry (QString country)
std::optional< double > | latitude () const
void | setLatitude (std::optional< double > lat)
QString | locality () const
void | setLocality (QString locality)
std::optional< double > | longitude () const
void | setLongitude (std::optional< double > lon)
Public Member Functions inherited from QXmppPubSubBaseItem
| QXmppPubSubBaseItem (const QString &id={}, const QString &publisher={})
| QXmppPubSubBaseItem (const QXmppPubSubBaseItem &) noexcept
| Default copy-constructor.
| QXmppPubSubBaseItem (QXmppPubSubBaseItem &&) noexcept
| Default move-constructor.
QXmppPubSubBaseItem & | operator= (const QXmppPubSubBaseItem &) noexcept
| Default assignment operator.
QXmppPubSubBaseItem & | operator= (QXmppPubSubBaseItem &&) noexcept
| Default move-assignment operator.
QString | id () const
void | setId (const QString &id)
QString | publisher () const
void | setPublisher (const QString &publisher)

## Static Public Member Functions
static bool | isItem (const QDomElement &itemElement)
Static Public Member Functions inherited from QXmppPubSubBaseItem
static bool | isItem (const QDomElement &element)

## Additional Inherited Members
Protected Member Functions inherited from QXmppPubSubBaseItem
virtual void | parsePayload (const QDomElement &payloadElement)
virtual void | serializePayload (QXmlStreamWriter *writer) const
Static Protected Member Functions inherited from QXmppPubSubBaseItem
template<typename PayloadChecker>
static bool | isItem (const QDomElement &element, PayloadChecker isPayloadValid)

## Detailed Description

This class represents a PubSub item for XEP-0080: User Location.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## ◆ QXmppGeolocItem()

QXmppGeolocItem::QXmppGeolocItem | ( |  | ) |

Default constructor

## Member Function Documentation

## ◆ accuracy()

std::optional< double > QXmppGeolocItem::accuracy | ( |  | ) | const

Returns the horizontal GPS error in meters.

## ◆ country()

QString QXmppGeolocItem::country | ( |  | ) | const

Returns the country.

## ◆ isItem()

bool QXmppGeolocItem::isItem | ( | const QDomElement & | itemElement | ) |
| static

Returns true, if the element is a valid XEP-0080: User Location PubSub item.

## ◆ latitude()

std::optional< double > QXmppGeolocItem::latitude | ( |  | ) | const

Returns the latitude in decimal degrees.

## ◆ locality()

QString QXmppGeolocItem::locality | ( |  | ) | const

Returns the locality such as a town or a city.

## ◆ longitude()

std::optional< double > QXmppGeolocItem::longitude | ( |  | ) | const

Returns the longitude in decimal degrees.

## ◆ setAccuracy()

void QXmppGeolocItem::setAccuracy | ( | std::optional< double > | accuracy | ) |

Sets the horizontal GPS error.

## ◆ setCountry()

void QXmppGeolocItem::setCountry | ( | QString | country | ) |

Sets the country.

## ◆ setLatitude()

void QXmppGeolocItem::setLatitude | ( | std::optional< double > | lat | ) |

Sets the latitude.

## ◆ setLocality()

void QXmppGeolocItem::setLocality | ( | QString | locality | ) |

Sets the locality.

## ◆ setLongitude()

void QXmppGeolocItem::setLongitude | ( | std::optional< double > | lon | ) |

Sets the longitude.

The documentation for this class was generated from the following files:

- QXmppGeolocItem.h
- QXmppGeolocItem.cpp